echo off
cls
echo            Here's an example of how to create a menu using Sparkle.
rem
rem  ---- First display a window (option #6):
rem       first some color, then the window (with shadow -- "-2").
rem
sparkle 6 4 1 20 80 32 32 /
sparkle 6 5 10 18 71 79 -2 /... Main Menu ...
rem
rem  ---- 2nd, print the 4 menu options (plus Quit)
rem
sparkle 5 8  31   112 / This is option 1 
sparkle 5 10 31   112 / This is option 2 
sparkle 5 12 31   112 / This is option 3 
sparkle 5 14 31   112 / This is option 4 
sparkle 5 16 31   112 / Quit             
rem
rem  ---- Now we tell Sparkle to turn this into a VERTICAL Bar menu (direction = 1)
rem       Option # = 2.  Screen coordinates 7, 17 (top left) to 16, 65 (bottom right).
rem       Note:  we're making our "bar" much wider than necessary just for effect.
rem
sparkle 2 7 17 16 65 1
rem
rem  ---- add your own lines here to test Errorlevel
rem
If Errorlevel 88 Goto Error
If Errorlevel 27 Goto EscPressed
If Errorlevel  5 Goto 5thOption
If Errorlevel  4 Goto 4thOption
If Errorlevel  3 Goto 3rdOption
If Errorlevel  2 Goto 2ndOption
If Errorlevel  1 Goto 1stOption
Goto End
:Error
echo An error must have occurred.  Possibly someone changed this and I can't find
echo or process the menu.  Sorry.  Check the batch file.
goto end
:EscPressed
echo You pressed Escape.
goto end
:1stOption
echo You selected the 1st option
goto end
:2ndOption
echo You selected the 2nd option
goto end
:3rdOption
echo You selected the 3rd option
goto end
:4thOption
echo You selected the 4th option
goto end
:5thOption
echo You selected the 5th option -- Quit
:End
